--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: first_source
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: The first source (primary table) for this dataset. If the dataset doesn't have a table, raises an error. If the table is aliased, returns the aliased name.
full_name: Sequel::Dataset#first_source_alias
is_singleton: false
name: first_source_alias
params: ()
visibility: public
